30 de marzo de 2017

Aparece nuevas vulnerabilidades en el kernel de Linux para Ubuntu

dell ubuntu

Canonical y el equipo de Ubuntu han publicado un bug que ha aparecido en el kernel de Linux que las versiones de Ubuntu utilizan, un bug que es simple pero a sus vez implica errores graves dentro del equipo.

Desde la posibilidad de inutilizar el sistema operativo hasta poder infiltrarse en nuestro equipo con permisos de administrador. Una vulnerabilidad grave que ya ha sido solucionada por los chicos de Canonical.

La solución a este bug implica actualizar el kernel que tiene el sistema operativo. Así que durante las próximas horas se lanzarán versiones de kernel nuevas para Ubuntu 12.04 LTS, Ubuntu 14.04 LTS, Ubuntu 16.04 LTS y Ubuntu 16.10.

La nueva versión de Ubuntu tendrá la vulnerabilidad del kernel de Linux corregida

El problema viene por la utilización del Xfrm framework, un framework que no se comunica bien con el kernel que Ubuntu tiene y por ello existe el bug. La nueva actualización corrige esto y hace que no exista el bug o al menos que el intruso no pueda colapsar el sistema o adentrarse en él con permisos de administrador.

Queda muy pocos días para el lanzamiento de la nueva versión de Ubuntu y parece que con cada versión nueva, el sistema operativo se mejora y se estabiliza aún más si cabe. Con esto quiero decir que posiblemente tanto este bug como los anteriores y futuros bugs que se están descubriendo no estarán presentes en la futura versión de Ubuntu.

En cualquier caso, venga o no venga la nueva versión con bugs corregidos, si tenemos cualquiera de las versiones anteriores, tenemos que actualizar el sistema operativo o buscar la versión del kernel más actual que exista en los repositorios oficiales de Ubuntu, ya que esto hará que esta vulnerabilidad no exista más en nuestro sistema operativo y así nuestro equipo sea un poco más seguro.

El artículo Aparece nuevas vulnerabilidades en el kernel de Linux para Ubuntu ha sido originalmente publicado en Ubunlog.


Fuente: Ubunlog

0 comentarios: